#include "K32KillerPodLockOnProgressComponent.h"
#include "ELockOnState.h"
#include "EAimingCrosshairState.h"
#include "ESurvivorLockedOnProgressState.h"
#include "Net/UnrealNetwork.h"

class ASurvivor;

void UK32KillerPodLockOnProgressComponent::Server_SetLockOnState_Implementation(const ELockOnState state, const EAimingCrosshairState crosshairState, const ASurvivor* survivorBeingLockedOn, const ESurvivorLockedOnProgressState survivorLockedOnProgressState)
{

}

void UK32KillerPodLockOnProgressComponent::Server_SetCrosshairState_Implementation(const EAimingCrosshairState crosshairState)
{

}

void UK32KillerPodLockOnProgressComponent::OnRep_Progress() const
{

}

void UK32KillerPodLockOnProgressComponent::OnRep_CrosshairState() const
{

}

void UK32KillerPodLockOnProgressComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK32KillerPodLockOnProgressComponent, _crosshairState);
	DOREPLIFETIME(UK32KillerPodLockOnProgressComponent, _progress);
}

UK32KillerPodLockOnProgressComponent::UK32KillerPodLockOnProgressComponent()
{
	this->_crosshairState = EAimingCrosshairState::Hidden;
	this->_progress = 0.000000;
}
